# Uses of Class
com.sun.net.httpserver.HttpsConfigurator

Packages that use HttpsConfigurator
Package
Description
com.sun.net.httpserver
Provides a simple high-level Http server API, which can be used to build embedded HTTP servers.

## Uses of HttpsConfigurator in com.sun.net.httpserver

Methods in com.sun.net.httpserver that return HttpsConfigurator
Modifier and Type
Method
Description
`abstract HttpsConfigurator`
HttpsParameters.`getHttpsConfigurator()`
Returns the `HttpsConfigurator` for this `HttpsParameters`.
`abstract HttpsConfigurator`
HttpsServer.`getHttpsConfigurator()`
Gets this server's `HttpsConfigurator` object, if it has been set.
Methods in com.sun.net.httpserver with parameters of type HttpsConfigurator
Modifier and Type
Method
Description
`abstract void`
HttpsServer.`setHttpsConfigurator​(HttpsConfigurator config)`
Sets this server's `HttpsConfigurator` object.